#ifndef LOGSHANDLER_H
#define LOGSHANDLER_H

 #include <QFileSystemWatcher>
#include <QObject>

class CLogsSorter;
class CLogsSorterConfigData;

class CLogsHandler : public QObject
{
    Q_OBJECT
public:
    CLogsHandler();
    ~CLogsHandler();

    int SetSortingConfigData(CLogsSorterConfigData *ConfigData);
    int StartLogHandling();
    int StopLogHandling();
    bool mHandlerRunning;
    int ParseWatchedDirectory(QString Path);

    CLogsSorter *mProgramPtr;
    const CLogsSorterConfigData *mSortingConfigData;
    QFileSystemWatcher *mLogsWatcher;

public slots:
    void WatchedDirectoryChanged(QString Path);
};

#endif // LOGSHANDLER_H
